test: _DIR_ENUM_CONTEXT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _DIR_ENUM_CONTEXT Struct Reference

`#include <udfstruc.h>`

List of all members.

## Public Attributes

PVOID | View
PBCB | Bcb
LARGE_INTEGER | BaseOffset
ULONG | ViewLength
ULONG | ViewOffset
PNSR_FID | Fid
ULONG | NextFidOffset
ULONG | Flags
UNICODE_STRING | ObjectName
UNICODE_STRING | CaseObjectName
UNICODE_STRING | PureObjectName
UNICODE_STRING | ShortObjectName
PVOID | NameBuffer
USHORT | AllocLength

## Member Data Documentation

USHORT _DIR_ENUM_CONTEXT::AllocLength

| Definition at line 1691 of file udfstruc.h.

LARGE_INTEGER _DIR_ENUM_CONTEXT::BaseOffset

| Definition at line 1632 of file udfstruc.h.

PBCB _DIR_ENUM_CONTEXT::Bcb

| Definition at line 1626 of file udfstruc.h.

UNICODE_STRING _DIR_ENUM_CONTEXT::CaseObjectName

| Definition at line 1666 of file udfstruc.h. Referenced by UdfEnumerateIndex(), UdfQueryAlternateNameInfo(), and UdfQueryDirectory().

PNSR_FID _DIR_ENUM_CONTEXT::Fid

| Definition at line 1646 of file udfstruc.h. Referenced by UdfCommonCreate(), UdfEnumerateIndex(), and UdfQueryDirectory().

ULONG _DIR_ENUM_CONTEXT::Flags

| Definition at line 1658 of file udfstruc.h. Referenced by UdfEnumerateIndex(), and UdfQueryDirectory().

PVOID _DIR_ENUM_CONTEXT::NameBuffer

| Definition at line 1685 of file udfstruc.h.

ULONG _DIR_ENUM_CONTEXT::NextFidOffset

| Definition at line 1652 of file udfstruc.h.

UNICODE_STRING _DIR_ENUM_CONTEXT::ObjectName

| Definition at line 1665 of file udfstruc.h. Referenced by UdfCommonCreate(), and UdfQueryDirectory().

UNICODE_STRING _DIR_ENUM_CONTEXT::PureObjectName

| Definition at line 1672 of file udfstruc.h. Referenced by UdfEnumerateIndex(), and UdfQueryDirectory().

UNICODE_STRING _DIR_ENUM_CONTEXT::ShortObjectName

| Definition at line 1678 of file udfstruc.h. Referenced by UdfEnumerateIndex(), and UdfQueryDirectory().

PVOID _DIR_ENUM_CONTEXT::View

| Definition at line 1625 of file udfstruc.h.

ULONG _DIR_ENUM_CONTEXT::ViewLength

| Definition at line 1639 of file udfstruc.h.

ULONG _DIR_ENUM_CONTEXT::ViewOffset

| Definition at line 1640 of file udfstruc.h.

The documentation for this struct was generated from the following file:

- udfstruc.h